%define upstream_name    MarpaX-Simple
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate Marpa-based parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/MarpaX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger)
BuildRequires: perl(Marpa::R2)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module tries to simplify the incantation of producing a parser using
the Marpa::R2 manpage (the scanless interface) by reducing the process to a
single function call: 'gen_parser'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.70.0-3.mga10
+ Revision: 2206214
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.70.0-2.mga9
+ Revision: 1812752
- Mageia 9 Mass Rebuild

* Wed May 27 2020 tv <tv> 0.70.0-1.mga8
+ Revision: 1588204
- imported package perl-MarpaX-Simple


* Wed May 27 2020 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
